Reply to topic

Parley won't save or download anything

cedricw
Registered Member
Posts
2
Karma
0
I'm on ArchLiunx/Gnome 3 and I wanted to use Parley https://www.kde.org/applications/education/parley/, downloaded from here: https://www.archlinux.org/packages/extra/i686/parley/.
However It doesn't seem to be able to download any grammar files
Code: Select all
Invalid URL: QUrl("/tmp/parley.I25538")
"Cannot download http://edu.kde.org/parley/locale/de-DE.kvtml"
Download of  QUrl("http://edu.kde.org/parley/locale/de-DE.kvtml")  failed.
Invalid URL: QUrl("/tmp/parley.D25538")
"Cannot download http://edu.kde.org/parley/locale/.kvtml"
Download of  QUrl("http://edu.kde.org/parley/locale/.kvtml")  failed.

And much worse I can 't save any collection which makes the whole program unusable.
No matter which filename I choose after creating a new collection, I always get the following error:
Writing file "Untitled" resulted in an error: Unknown file type.

The console output is the following:
Code: Select all
SaveAs failed for  "Untitled" 
why  "Unknown file type."
Clear summary widget
Set invalid document
Clear summary widget
QCoreApplication::postEvent: Unexpected null receiver

Note that the filename I chose was "[/home/cedric/vocabs/]schwedisch" and neither "Untitled" nor an empty string. I also tried "[/home/cedric/vocabs/]schwedisch.kvtml".
The only notable error message in the terminal when starting Parley is the following:
Code: Select all
Couldn't start kuiserver from org.kde.kuiserver.service: QDBusError("org.freedesktop.DBus.Error.ServiceUnknown", "The name org.kde.kuiserver was not provided by any .service files")

The rest is just complaining about missing KDE icon sets, which is because I don't have KDE. It's probably also the reason of the above error message and might not be relevant, but I thoght it was worth noting it.
Does anyone know why this error occurs? Is it a known bug? Does Parley even work under gnome? Is there a workaround?
Thanks in advance.
User avatar google01103
Manager
Posts
6668
Karma
25
I don't use it but .....

to clarify the errors occur when you use the "Download New Collections" feature directly in Parley?

alternatively you can dl from http://kde-files.org/index.php?xcontentmode=687

re: kuiserver probably you haven't installed the package https://www.archlinux.org/packages/extr ... ver/files/


OpenSuse Leap 42.1 x64, Plasma 5.x

cedricw
Registered Member
Posts
2
Karma
0
I installed kuiserver and that removed the aforementioned error messages in the terminal. But it didn't solve any of my real problems.
When I try to download new collections it says that it can't load "provider44.xml" from edu.kde.org
Also I tried to maually download files from the link you gave. Not only was I able to open the file and start practicing. I also was able to save my learning progress. So everything seems to work that way. (However I still can't save the collection file on a place other than I opened it from). Very odd.

Edit: Also it seems that I'm able to edit the languages and any data and the vocabularies. So this workaround solved my problem. However as this is not the way it was intended it is either a bug or a missing package or a wrong configuration.

Edit 2: Ah I didn't read your post careful enough. (I understood that you suggest me to try downloading new collections via "Download New Collections")
The error with the download that I described in my first post occurred in the terminal when I created a new collection via "Create a New Collection", clicked on "OK" and then on "Download grammar". In the GUI the button doesn't do anything, no matter which language is selected.
The error message that I described in this post is written at the bottom line in the window that pops up when I click on "Download New Collections".
User avatar google01103
Manager
Posts
6668
Karma
25
You'll need to wait someone who uses It


OpenSuse Leap 42.1 x64, Plasma 5.x

dimkard
Registered Member
Posts
12
Karma
0
Hi,
it seems that you face the following bugs:
https://bugs.kde.org/show_bug.cgi?id=356233
https://bugs.kde.org/show_bug.cgi?id=357624
Both have been fixed but AFAIK they have not been released yet.
So, you may compile from source or wait for the new version.

 
Reply to topic

Bookmarks



Who is online

Registered users: BadBunny, Baidu [Spider], Bing [Bot], bogdan_c, Deevad, dikasetyaprayogi, gfielding, Google [Bot], joninchaurbe, kde-jriddell, sceyefeye, Slartibartfast, Sogou [Bot], TheraHedwig, toplisek, tymond, Yahoo [Bot]